Subject: FVWM: FvwmSaveDesk question

From: "Robert H. Ford II" <[email-masked]>
Date: Mon, 23 Aug 1999 14:16:19 -0500

Anyone,

I am using Fvwm Version 2.3.6 compiled on Jul 26 1999 at 13:47:00

First thing I noticed in the .fvwm2desk file was this:

########## snippet from .fvwm2desk ##########

+               "I" Exec xterm -geometry 80x45+67+1 -name ssbun -title ssbun -bg
 antiquewhite -fg black -bd magenta4 -e rlogin -8 ssbun &
+               "I" Wait ssbun pts/101 /home/misha21 
+               "I" Exec xterm -geometry 80x45+306+204 -name ihlbb2 -title ihlbb
2 -bg antiquewhite -fg black -bd magenta4 -e rlogin -8 ihlbb2 &
+               "I" Wait ihlbb2 PCC=5e14_1b SS=prl VPTYPE=lab - /5e/lclb100/inte
am1b/hdr_app/5e14_1b/prl/poprules 

######### End of snippet #########

You can see that the xterm arguments "-title" and "-name" are followed by just
one word, but the "Wait" is looking for what I have my Title bar labeled with.

How can I get the "Wait" to only have the same word as the "-title" and "-name"
arguments?

Also I would like to use FvwmM4 to process this file but when I use the
following:
	fvwm2 -cmd "FvwmM4 -m4-prefix -m4opt -I$HOME $HOME/.fvwm2rc"
and have this
	"m4_include(`.fvwm2desk') .
in my .fvwm2rc file, I get the following error:
	m4: bad option: --prefix-buttons

So I ended up having to use FvwmCpp to process my file, but now I get a ton of
errors because I have a ton of comments in my .fvwm2rc file.

I wish it was as simple as putting in "read .fvwm2desk" in my .fvwm2rc file.

Well, right now my biggest problem is the "wait" portion of the .fvwm2desk
file.  Can anyone help me with at least this?

Thank you.

Bob Ford II
-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
                                                Voice: (630) 713-4957
__________________________________________________
|  M R spiders!                    |      |   |  |
|  M N O spiders!                  |      |   |  |
|  O S A R - C D E D B D I's?      |      |   |  |
|  Y I B, M R spiders...           |      |   *  |
|                                  *      |      |
|                                         *      |
--------------------------------------------------
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Nathan Froyd <[email-masked]>
Date: Mon, 23 Aug 1999 17:19:04 -0500

> How can I get the "Wait" to only have the same word as the "-title" and "-name"

Edit the file? :)

> 	m4: bad option: --prefix-buttons

Try taking the `-m4opt' out. The manpage for FvwmM4 says it's not needed.

> file.  Can anyone help me with at least this?

Is this mysterious .fvwm2desk file auto-generated from someplace? If not,
why not simply edit the file to say `Wait XTerm' or what have you?

Also, if you don't want (or don't care) about m4 pre-processing, I believe
there is a command called `Read' in fvwm2. Check the manpage.
-- 
Nathan  |  [email-masked]  |  http://www.rose-hulman.edu/~froydnj/

         God is subtle, but He is not mailicious. --Albert Einstein
Evolution is a million line computer program falling into place by accident.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 24 Aug 1999 09:15:06 +0200

> why not simply edit the file to say `Wait XTerm' or what have you?

Of course it's autogenerated. Robert did mention he's using FvwmSaveDesk.
Still editing the file seems to be the only solution. There isn't an
automatic way to do this because the xterm obviously changed its name
at some time. Since the information about the initial title is lost,
the only way to find it out would to look at the command's arguments
which would require fvwm to know about the syntax of applications.
Another way is to not change the window title manually. From the title
in the example I guess Robert uses it to display information about the
pwd and the terminal connection.

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].